Name:          spring-ws-xml
Version:       1.5.5
Release:       %mkrel 1
Summary:       Spring XML
Group:         Development/Java
License:       ASL 2.0 
Url:           http://www.springframework.org/ 
# svn export https://src.springframework.org/svn/spring-ws/tags/spring-ws-1.5.5/xml spring-ws-xml-1.5.5
# tar czf spring-ws-xml-1.5.5-src-svn.tar.gz spring-ws-xml-1.5.5
Source0:       spring-ws-xml-1.5.5-src-svn.tar.gz
Patch0:        spring-ws-xml-1.5.5-no-parent-pom.patch
Patch1:        spring-ws-xml-1.5.5-add-test-libraries.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: bea-stax-api
BuildRequires: easymock
BuildRequires: jaxen
BuildRequires: spring2-context
BuildRequires: ws-commons-XmlSchema
BuildRequires: wstx

BuildRequires: junit
#BuildRequires: TODO  add xalan-j2-serializer in depmap
BuildRequires: xmlunit

BuildRequires: maven-plugin-bundle

Requires:      bea-stax-api
Requires:      easymock
Requires:      jaxen
Requires:      spring2-context
Requires:      ws-commons-XmlSchema
Requires:      wstx

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Various XML support classes for Spring Web Services.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n spring-ws-xml-%{version}
%patch0 -p0
%patch1 -p0
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
# Tests run: 190, Failures: 0, Errors: 42, Skipped: 0
# require org/apache/xml/serializer/OutputPropertiesFactory
mvn-rpmbuild -e -Dmaven.test.failure.ignore=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}/spring-ws
install -m 644 target/spring-xml-%{version}.jar %{buildroot}%{_javadir}/spring-ws/xml.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.spring-ws-xml.pom
%add_maven_depmap JPP.spring-ws-xml.pom spring-ws/xml.jar
%add_to_maven_depmap org.springframework.ws org.springframework.xml %{version} JPP/spring-ws xml

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/spring-ws/xml.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}/*


%changelog

* Mon Nov 28 2011 gil <gil> 1.5.5-1.mga2
+ Revision: 173480
- imported package spring-ws-xml

